### Property

# Adw TimedAnimation:duration

since: 1

#### Declaration

    property duration: guint [ read, write, construct ]

#### Description [src]

Duration of the animation, in milliseconds.

Describes how much time the animation will take.

If the animation repeats more than once, describes the duration of one iteration.

Type: | `guint`
Available since: | 1

Default value | 0
Getter method | `adw_timed_animation_get_duration()`
Setter method | `adw_timed_animation_set_duration()`

#### Flags

Readable | yes
Writable | yes
Construct | yes
Construct only | no